org.apache.solr.handler.component

## Class ShardHandlerFactory

- java.lang.Object
- - org.apache.solr.handler.component.ShardHandlerFactory

- Direct Known Subclasses:
    HttpShardHandlerFactory

      public abstract class ShardHandlerFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PluginInfo` | `DEFAULT_SHARDHANDLER_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShardHandlerFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `abstract ShardHandler` | `getShardHandler()`
    `static ShardHandlerFactory` | `newInstance(PluginInfo info, SolrResourceLoader loader)` Create a new ShardHandlerFactory instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SHARDHANDLER_INFO

          public static final PluginInfo DEFAULT_SHARDHANDLER_INFO

  - ### Constructor Detail

    - #### ShardHandlerFactory

          public ShardHandlerFactory()

  - ### Method Detail

    - #### getShardHandler

          public abstract ShardHandler getShardHandler()

    - #### close

          public abstract void close()

    - #### newInstance

          public static ShardHandlerFactory newInstance(PluginInfo info,
                                                        SolrResourceLoader loader)

      Create a new ShardHandlerFactory instance
      Parameters:
        `info` - a PluginInfo object defining which type to create. If null, the default `HttpShardHandlerFactory` will be used
        `loader` - a SolrResourceLoader used to find the ShardHandlerFactory classes
      Returns:
        a new, initialized ShardHandlerFactory instance

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.